/*
 * Copyright (c) 2002 pancake <pancake@phreaker.net>
 * All rights reserved.
 * 
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 * 3. The name of the author may not be used to endorse or promote
 *    products derived from this software without specific prior written
 *    permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
 * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
 * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 *
 * This file is included in WiStumbler2 package.
 *
 * $Id: stumbler.h,v 1.0 2003/11/15 17:54:29 pancake Exp $
 */

#ifndef _INCLUDE_STUMBLER_H_
#define _INCLUDE_STUMBLER_H_

#if USE_GTK
#include <gtk/gtk.h>
#else
#define TRUE 1
#define FALSE 0
#endif
#include "gpscontrol.h" // TODO add main.h!!
#ifdef __FreeBSD__
#include <dev/owi/if_ieee80211.h>
#include <dev/wi/if_wavelan_ieee.h>
#else
#include <net/if_ieee80211.h>
#include <dev/ic/wi_ieee.h>
#endif
/* import from wistumbler.c */
#define WI_APRATE_0  0x00       /* NONE */
#define WI_APRATE_1  0x0A       /* 1 Mbps */
#define WI_APRATE_2  0x14       /* 2 Mbps */
#define WI_APRATE_5  0x37       /* 5.5 Mbps */
#define WI_APRATE_11 0x6E       /* 11 Mbps */
#define MAX_APS 1024

struct access_point {
   struct wi_apinfo wi_apinfo;
   long first;
   long last;
   int cur_receive;
   struct dir dir;
};

/* end of import */

extern int wi_init(char *);
extern int wi_finish(char *);
extern int wi_apscan(char *);
extern void print_aps(FILE *);

extern int wi_exit(int);
void print_clist(int);
#if USE_GTK
struct _app {
    GtkWidget *window;
    GtkWidget *clist;
    GtkWidget *label;
};
#endif

#endif
extern int wi_exit(int);
